Subject: bug#41877: closed (Re: bug#41877: Bug: feature/native-comp on MacOs Catalina w.r.t. subr-x.eln)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 07 Oct 2020 14:52:03 +0000

Your bug report

#41877: Bug: feature/native-comp on MacOs Catalina w.r.t. subr-x.eln

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41877: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41877
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#41877: Bug: feature/native-comp on MacOs Catalina w.r.t. subr-x.eln
From: Andrea Corallo <[email-masked]>
To: Andrea Corallo via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]>
Cc: [email-masked], Gregor Eeckels <[email-masked]>
Date: Wed, 07 Oct 2020 14:51:36 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm closing this.  Happy to reopen if the problem persists and new
feedback is provided.

  Andrea

Subject: Bug: feature/native-comp on MacOs Catalina w.r.t. subr-x.eln
From: Gregor Eeckels <[email-masked]>
To: [email-masked]
Date: Mon, 15 Jun 2020 19:19:06 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello. I am experiencing a weird error.

Native elisp load failed:
"/Applications/Emacs.app/Contents/Resources/lisp/emacs-lisp/eln-x86_64-apple-darwin19.5.0-0d5d423ea4500a50/subr-x.eln",
"dlopen(/Applications/Emacs.app/Contents/Resources/lisp/emacs-lisp/eln-x86_64-apple-darwin19.5.0-0d5d423ea4500a50/subr-x.eln,
1): no suitable image found.  Did find:
/Applications/Emacs.app/Contents/Resources/lisp/emacs-lisp/eln-x86_64-apple-darwin19.5.0-0d5d423ea4500a50/subr-x.eln:
file too short
/Applications/Emacs.app/Contents/Resources/lisp/emacs-lisp/eln-x86_64-apple-darwin19.5.0-0d5d423ea4500a50/subr-x.eln:
file too short"

I built emacs using this guide carefully:
https://github.com/shshkn/emacs.d/blob/master/docs/nativecomp.md

Everything worked out, but now this causes errors during the first run and
then emacs fails to load because of the same error after rebooting. The
mentioned file subr-x.eln is empty.

I did create the symbolic link from Resources/elisp to elisp in the
Emacs.app directory.
Thank you for your assistance.